<?$url='';//Рефереры с этих адресов
$url_='';//учитываться не будут.
$maxref='50';//Сколько показывать рефереров.
$date_data='data/date.dat';
$hit_data='data/hit.dat';
$host_data='data/host.dat';
$daylog_data='data/daylog.dat';
$refferer_data='data/referer.dat';
$browser_data='data/browser.dat';
$lang_data='data/lang.dat';
$js_data='data/js.dat';
$os_data='data/os.dat'?>
<?$today_array=file($daylog_data);
$base_array=file($hit_data);
$host_array=file($host_data);
$host_total=$host_array[0];
$total=$base_array[0];
$hit_today=count($today_array);
$host_today=count(array_unique($today_array));
if($QUERY_STRING=="txt")://Настроить внешний вид текстового счетчика можно здесь:
echo"document.write('<table id=t>');";
echo"document.write('<tr><th>Статистика сайта');";
echo"document.write('<tr><td>Хитов всего: $total');";
echo"document.write('<tr><td>Хитов сегодня: $hit_today');";
echo"document.write('<tr><td>Хостов всего: $host_total');";
echo"document.write('<tr><td>Хостов сегодня: $host_today');";
else:function string_size($string)
{if(strlen($string)=="1"){$string="$string";}
if(strlen($string)=="2"){$string="$string";}
if(strlen($string)=="3"){$string="$string";}
if(strlen($string)=="4"){$string="$string";}
if(strlen($string)=="5"){$string="$string";}
if(strlen($string)=="6"){$string="$string";}
if(strlen($string)=="7"){$string="$string";}
if(strlen($string)=="8"){$string="$string";}
if(strlen($string)=="9"){$string="$string";}
if(strlen($string)=="10"){$string="$string";}
if(strlen($string)>"10"){$string="1234567890";}
return$string;}
$total=string_size($total);
$hit_today=string_size($hit_today);
$host_today=string_size($host_today);
header('Content-Type:image/png');
$image='counter.png';
$coin=imagecreatefrompng($image);
$total_color=imagecolorallocate($coin,0,0,0);
$host_color=imagecolorallocate($coin,0,0,0);
$hit_color=imagecolorallocate($coin,0,0,0);
ImageString($coin,1,36,1,$total,$total_color);
ImageString($coin,1,36,21,$host_today,$host_color);
ImageString($coin,1,36,12,$hit_today,$hit_color);
ImagePNG($coin);ImageDestroy($coin);endif?>